This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 72389 - ISDN init script broken for FritzCard PCI V2.0
ISDN init script broken for FritzCard PCI V2.0
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: isdn4k-utils (Show other bugs)
null
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-23 08:47 EDT by Bernd Bartmann
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-24 09:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2002-08-23 08:47:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The isdn initscript does not load the proper modules for the FritzCard PCI 
V2.0 The script checks for "$RESOURCES" = "NONE" and then sets PCMCIA=yes 
which is wrong as this is no PCMCIA card. In function load_modules() you find 
the line:
[ "$PCMCIA" = "no" ] || return
So the script never executes the commands after this line, as the function 
just returns.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup an isdn interface for an FritzCard PCI V2.0
2. try "service isdn start" --> nothing happens
3.
	

Additional info:
Comment 1 Ngo Than 2002-08-23 10:05:27 EDT
i don't think it's a bug in ISDN init script.

could you please do following steps:
  - start redhat-config-network
  - remove isdn card
  - exit with saving
  - start redhat-config-network
  - add your isdn card
 
Does it work after doing steps?
Comment 2 Bernd Bartmann 2002-08-24 09:20:02 EDT
Just followed your steps and now the modules for the ISDN card are loaded
correctly. Now /etc/sysconfig/isdncard contains:

NAME="AVM PCI (Fritz!PCI v2)"
MODULE="hisax_fcpcipnp"
VENDOR_ID="1244"
DEVICE_ID="0e00"
RESOURCES="protocol=2"

When using internet-druid to configure the ISDN card VENDOR_ID and DEVICE_ID are
missing.

Strange enough I really don't know what I did to get RESOURCES="none". Right now
I can reproduce it. So you're right the init script is not the problem.

Note You need to log in before you can comment on or make changes to this bug.